<?php
$template = <<<END
<style>
a.btn1, a.btn2 {
	display: inline-block;text-decoration: none;
	letter-spacing: 0.1em;	/*文字間隔を少しだけ広くとる*/
	border-radius: 3px;		/*角を丸くする指定*/
	padding: 0.3rem 2rem;	/*上下、左右へのボタン内の余白*/
	box-shadow: 1px 2px 3px rgba(0,0,0,0.2);	/*ボックスの影。右へ、下へ、ぼかし幅。0,0,0は黒の事で0.2は色が20%出た状態。*/
	transition: 0.3s;	/*hoverまでにかける時間。0.3秒。*/
	border: 1px solid #ccc;	/*枠線の幅、線種、色*/
}
</style>
<!-- block_news_detail: お知らせ詳細 -->
<section class="block_kiji class_{val id}">
<!--{def item/title}-->
<h2>{val item/title}</h2>
<!--{/def}-->
<!--{def item/image}-->
<figure class="mb1rem"><img src="{val item/image}" alt=""></figure>
<!--{/def}-->
<p class="markdown-body">{rval item/contents}</p>
<div>
<p><p class="c"><a href="javascript:window.history.back();" class="btn1"><i class="fas fa-arrow-circle-right"></i>前のページに戻る</a></p>
</p></div>
</section>
END;

$block_news_detail = array(
	"title" => "お知らせ詳細",
	"name" => "block_news_detail",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_news_detail",
			"class" => "notice",
		),
	),
	"func" => "func_block_news_detail",		// 処理プログラム（指定がない物は標準処理）
);

block_add($block_news_detail);

// 記事2
function func_block_news_detail($def, $info)
{
	if ($_REQUEST["id"]) {
//		$info = get_setup(INFO_NEWS, $_REQUEST["id"]);
		$info = get_setup(0, $_REQUEST["id"]);
		if ($info["contents"]) {
			//$info["contents"] = nl2br($info["contents"]);
			$info["contents"] = md_check($info["contents"]);
		}
		if ($info["image"]) {
			$f = Image::getData($info["image"]);
			if ($f) {
				$info["image"] = "user_data/" . $f["save_name"];
			}
		}
	}
	return $info;
}
